{
    "dynamic":"strict",
    "properties": {

        "id":{"type":"long"},

        "is_online":{"type":"boolean"},
        "is_header_article":{"type":"boolean"},

        "title":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index"},
        "name":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index"},
        "share_content":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index"},

        "tags":{"type":"long"},
        "tag_names":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index"},

        "categories":{"type":"long"},
        "category_names":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index"},

        "create_time":{"type":"date", "format":"date_time_no_millis"},
        "update_time":{"type":"date", "format":"date_time_no_millis"},

        "create_time_val":{"type":"long"},
        "update_time_val":{"type":"long"},

        "platform":{"type":"long"},
        "ordering":{"type":"long"}
    }
}
